const prisma = require('../../../src/prisma/PrismaClient.js');
const timeLocal = require('../../../src/utils/TimeLocal.js')

const cityNames = [
    'Kabupaten Majene',
    'Kabupaten Mamasa',
    'Kabupaten Mamuju',
    'Kabupaten Mamuju Tengah',
    'Kabupaten Pasangkayu',
    'Kabupaten Polewali Mandar'

    // 6
];

exports.seedSulawesiBaratCities = async () => {
    const province = await prisma.province.findFirst({
        where: { name: 'Sulawesi Barat' },
    });

    if (!province) {
        console.error('❌ Province Sulawesi Barat not found. Seed it first.');
        return;
    }

    for (const name of cityNames) {
        await prisma.city.upsert({
            where: {
                name_province_id: {
                    name,
                    province_id: province.id,
                },
            },
            update: { updatedAt: timeLocal.now().toDate() },
            create: {
                name,
                province_id: province.id,
                createdAt: timeLocal.now().toDate()
            },
        });
    }

    console.log('✅ Sulawesi Barat City seeded!.');
};